---
title: Intl.Locale.prototype.language
slug: Web/JavaScript/Reference/Global_Objects/Intl/Locale/language
tags:
  - Internationalization
  - Intl
  - JavaScript
  - Property
  - Prototype
  - Reference
---
<div>{{JSRef}}</div>

<p><span class="seoSummary">The <strong><code>Intl.Locale.prototype.language</code></strong> property is an accessor property that returns the language associated with the locale.</span></p>

<h2 id="Description">Description</h2>

<p>Language is one of the core features of a locale. The Unicode specification treats the language identifier of a locale as the language and the region together (to make a distiction between dialects and variations, e.g. British English vs. American English). The <code>language</code> property of a {{jsxref("Locale", "Locale")}} returns strictly the locale's language subtag.</p>

<h2 id="Examples">Examples</h2>

<h3 id="Setting_the_language_in_the_locale_identifer_string_argument">Setting the language in the locale identifer string argument</h3>

<p>In order to be a valid Unicode locale identifier, a string must start with the language subtag. The main argument to the {{jsxref("Locale/Locale", "Locale")}} constructor must be a valid Unicode locale identifier, so whenever the constructor is used, it must be passed an identifier with a language subtag.</p>

<pre class="brush: js">let langStr = new Intl.Locale("en-Latn-US");

console.log(langStr.language); // Prints "en"</pre>

<h3 id="Overriding_language_via_the_configuration_object">Overriding language via the configuration object</h3>

<p>While the language subtag must be specified, the {{jsxref("Locale", "Locale")}} constructor takes a configuration object, which can override the language subtag.</p>

<pre class="brush: js">let langObj = new Intl.Locale("en-Latn-US", {language: "es"});

console.log(langObj.language); // Prints "es"</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('ES Int Draft', '#sec-Intl.Locale.prototype.language')}}</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>{{Compat("javascript.builtins.Intl.Locale.language")}}</div>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{jsxref("Locale", "Locale")}}</li>
 <li><a href="https://www.unicode.org/reports/tr35/#unicode_language_subtag_validity">Unicode language subtag specification</a></li>
</ul>
